﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace MultiBindig
{
    public sealed class Right : BaseItem
    {

        public string Description
        {
            get;
            set;
        }

        public bool Value
        {
            get;
            set;
        }

        public Right(string name)
        {
            this.Name = name;
            this.Description = String.Empty;
            this.Value = true;
        }

        public Right(string name, string description)
            : this(name)
        {
            this.Description = description;
        }

        public Right(string name, string description, bool value)
            : this(name, description)
        {
            this.Value = value;
        }
    }

}
