﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Controls;
using System.Windows;
using System.Collections.ObjectModel;

namespace MultiBindig
{
 
    public class SampleTemplateSelector : DataTemplateSelector
    {
        public override DataTemplate SelectTemplate( object item, DependencyObject container )
        {
            if (item is RightCollection)
                return this.RightTemplate;
            else if (item is LogEntryCollection)
                return this.LogEntryTemplate;
            else
                return new DataTemplate();
        }
        public DataTemplate RightTemplate
        {
            get;
            set;
        }
        public DataTemplate LogEntryTemplate
        {
            get;
            set;
        }
    }
 


}
